# $Revision: 1.17 $, $Date: 2006/08/11 10:23:59 $
Summary:	Balancing of IRQs between multiple CPUs
Summary(pl):	Rozdzielanie IRQ pomidzy wiele procesorw
Name:		irqbalance
Version:	0.13
Release:	1
License:	GPL
Group:		Applications/System
#Source0:	http://people.redhat.com/arjanv/irqbalance/%{name}-%{version}.tar.gz
# Currently no known URL - taken from FC6 src.rpm:
Source0:	http://www.blues.gda.pl/SOURCES/%{name}-%{version}.tar.gz
# Source0-md5:	837f1d69e9b6ef0a58bbd4cf4e0d7f28
Source1:	%{name}.init
Patch0:		%{name}-opt.patch
Patch1:		%{name}-classes.patch
Patch2:		%{name}-norebalance-zeroints.patch
Patch3:		%{name}-pie.patch
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(post,preun):	/sbin/chkconfig
Requires:	rc-scripts
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
irqbalance is a daemon that evenly distributes IRQ load across
multiple CPUs for enhanced performance.

%description -l pl
Narzdzie do rozdzielania przerwa IRQ pomidzy wiele procesorw
w celu zwikszenia wydajnoci systemu.

%prep
%setup -q -n %{name}
%patch0 -p1
%patch1 -p2
%patch2 -p2
# For gcc4 ?
#%patch3 -p2

%build
%{__make} %{?debug:debug} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},%{_mandir}/man1,/etc/rc.d/init.d}

install %{name} $RPM_BUILD_ROOT%{_sbindir}
install %{name}.1 $RPM_BUILD_ROOT%{_mandir}/man1
install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add irqbalance
%service irqbalance restart "irqbalance daemon"

%preun
if [ "$1" = "0" ]; then
	%service irqbalance stop
	/sbin/chkconfig --del irqbalance
fi

%files
%defattr(644,root,root,755)
%doc Changelog TODO
%attr(755,root,root) %{_sbindir}/*
%{_mandir}/man1/*
%attr(754,root,root) /etc/rc.d/init.d/irqbalance

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: irqbalance.spec,v $
Revision 1.17  2006/08/11 10:23:59  blues
- license changed (acc. Changelog), let the source be on some URL.

Revision 1.16  2006/08/11 10:02:05  blues
- 0.13 - taken from FC6, plus 3 new patches from them

Revision 1.15  2006/08/08 14:38:10  sparky
- mass attack: s/%patch /%patch0 / -- usefull for overloaded %patch macro

Revision 1.14  2006/05/21 16:14:20  glen
- rel 2

Revision 1.13  2006/03/02 23:01:11  glen
- use %service and adapterize

Revision 1.12  2004/12/01 01:27:34  zbyniu
- added PreReq: rc-scripts and Requires(): /sbin/chkconfig for daemon

Revision 1.11  2004/11/27 18:38:40  darekr
- updated to 0.12

Revision 1.10  2004/10/31 17:56:43  darekr
- updated to 0.10

Revision 1.9  2004/02/23 21:22:53  qboosh
- updated to 0.09

Revision 1.8  2004/01/27 20:36:47  arekm
- added initscript

Revision 1.7  2004/01/25 09:54:26  ankry
- rel. 2

Revision 1.6  2004/01/25 09:52:20  ankry
- added man page

Revision 1.5  2003/12/15 00:11:00  qboosh
- 0.08, updated opt patch

Revision 1.4  2003/07/14 09:06:22  qboosh
- added opt patch, pass CC and OPT

Revision 1.3  2003/07/13 22:23:36  qboosh
- pl

Revision 1.2  2003/07/11 23:25:07  arekm
- fix md5

Revision 1.1  2003/07/11 22:25:44  arekm
- initial pld release
